Skip to content
SPECIFICTION
Get listed

Dogtag Certificate System vs XiPKI

Dogtag Certificate System

dogtagpki.org

XiPKI

github.com

Side by side

FigureDogtag Certificate SystemXiPKI
Price fromFreeFree
Free planYesYes
Free trial——
Open source——
macOS—Yes
LinuxYesYes
APIYesYes
Self-hostedYesYes
Plans published11
Spec score · Public Key Infrastructure Software7.9 (#11)7.3 (#16)
PurposeDogtag is an enterprise-class open source certificate authority for deploying PKI at scale.XiPKI is an open-source public key infrastructure system covering certification authority, registration authority, and OCSP responder functions, intended for critical infrastructure.

Plans

Dogtag Certificate System

  • Dogtag Certificate SystemFree

Dogtag Certificate System pricing →

XiPKI

  • Apache License 2.0Free

XiPKI pricing →

In their own words

Dogtag Certificate System

Dogtag Certificate System has no write-up on Specifiction yet; its figures are above.

Visit dogtagpki.org

XiPKI

XiPKI is an open-source public key infrastructure system for certification authority, registration authority, and OCSP responder functions, aimed at critical infrastructure. It supports multiple CAs in one instance, database clusters, and active instances for the same CA, with management through embedded OSGi commands and an API. Its CA gateway supports EST, SCEP, CMP, ACME, and its RESTful API. The OCSP responder handles RFC 2560, RFC 6960, and RFC 5019, along with signed and unsigned requests, health checks, and multiple certificate status sources. HSM connections use PKCS#11; listed devices include AWS CloudHSM, Nitrokey, nCipher, Sansec, SoftHSM, TASS, Thales, and Utimaco. The project describes native support for ML-DSA, ML-KEM, and composite post-quantum algorithms. XiPKI is free under Apache License 2.0. It supports Linux and macOS and requires Java 11 or later and Tomcat 10 or 11. Listed databases include DB2, MariaDB, MySQL, Oracle, PostgreSQL, H2, and HSQLDB.

Visit github.com